Canvas Guider (da)Canvas GuiderStartguide til Canas Generel informationHvad er browser- og computerkravene til Canvas?

Hvad er browser- og computerkravene til Canvas?

For at opnå den bedste ydelse skal Canvas bruges på den aktuelle eller første tidligere store udgivelse af Chrome, Firefox, Edge eller Safari. Fordi det er bygget ved at benytte webstandarder, virker Canvas på Windows, Mac, Linux, iOs, Android eller enhver anden enhed med en moderne browser.

Canvas kræver kun et operativsystem, som kan køre de nyeste kompatible webbrowsere. Dit computers operativsystem skal holdes opdateret med de seneste anbefalede sikkerhedsopdateringer og opgraderinger. 

Understøttede browsere

Vi understøtter de følgende versioner af Flash og populære webbrowsere:

  • Chrome 84 og 85
  • Firefox 79 og 80 (Extended Releases (udvidede frigivelser) er ikke understøttet*)
  • Edge 84 og 85
  • Respondus Lockdown Browser (understøtteer de seneste systemkrav)
  • Safari 13 og 14 (kun Macintosh)

Du bør altid anvende den nyeste version af din foretrukne browser. Din browser vil underrette dig, hvis der er en ny version tilgængelig.

Bemærk: Safari 13.1 og senere versioner indeholder en opdatering, der kan forårsage problemer med download af filer samt visning af billeder og chatvarslinger i Canvas. Canvas-ingeniører arbejder i øjeblikket med en løsning på dette problem. Indtil da kan du undgå fejl med filer, billeder og varslinger ved at deaktivere forebyggelse af sporing på tværs af websteder i Safari, når du bruger Canvas. Hvis deaktivering af sporing på tværs af websteder ikke løser disse problemer, kan du prøve en af de andre understøttede browsere.

Ikke-understøttet browserbanner

Nogle understøttede browsere kan stadig producere et banner med angivelse Din browser opfylder ikke minimumskravene for Canvas. Hvis du har opgraderet din browser, men stadig ser advarselsbanneret, skal du prøve at logge ud af Canvas og slette browserens cookies

Enterprise-browsere med udvidet udgivelse

Chrome og Firefox tilbyder versioner med udvidet version til organisationer, der administrerer kunders desktops. Chrome ESR kan til enhver tid holdes opdateret med den eksisterende fulde version af Chrome. Firefox ESR opdateres dog kun med hver syvende større version, hvilket gør, at Firefox ESR overlapper hinanden med forældede versioner. Firefox ESR-websiden forklarer, at ESR muligvis ikke understøttes i alle webapplikationer på grund af denne forsinkelse af versionsfrigivelser. Institutioner, der bruger Firefox ESR, bør overveje at installere den seneste version for at sikre den bedste brugeroplevelse i Canvas.

* I browserversioner med udvidet frigivelse gælder advarselsbanneret stadig og vises i Canvas for browsere, der er under minimumsversionskravet.

Kend browserens opførsel

Som det gælder alle Canvas-funktioner, prioriterer vores produktteams modstridende adfærd vedrørende browsere, og nogle adfærd i den tidligere version er måske ikke blevet løst. Hvis der findes en adfærd i den tidligere version af browseren, der ikke findes i den aktuelle version, er den bedste løsning at opdatere til den nyeste browser-version.

Tilgængelighed

Canvas er dedikeret til W3C's Web Accessibility Initiative. For at lære om understøttede skærmlæser- og browserkombinationer henvises der til dokumentet Tilgængelighed inden for Canvas (Accessibility within Canvas).

JavaScript

JavaScript skal være aktiveret til at køre Canvas.

Browser plugins og udvidelsesprogrammer

Nogle browser plugins eller udvidelsesprogrammer kan være i konflikt med Canvas og påvirke dets funktionalitet. Hvis du oplever hændelser, der ikke giver dig mulighed for at se eller deltage i Canvas-kurser, skal du sørge for, at du har deaktiveret alle udvidelsesprogrammer eller plugins, der interagerer direkte med din webbrowser.

Ved fejlfinding skal du overveje at logge ind på Canvas ved hjælp af et inkognitol eller et privat browservindue, som giver en browsersession uden forudgående browsing- eller søgehistorik, tilhørende browser-cookies eller andre faktorer, der kan interferere med browseren. Hvis du er i stand til at se og deltage i Canvas ved hjælp af et inkognito eller privat browservindue, er den hændelse, du oplever, sandsynligvis relateret til browseren og ikke til Canvas.

Browserfortrolighedsindstillinger

For at sikre browsersikkerhed skal du følge alle browsersikkerhedspolitikker, der er etableret af din institution, specielt hvis du benytter Canvas på en computer udlånt af din institution.

Når du viser indhold, kan du vælge Canvas standard til indstillingen af en bestemt browser. Nogle browsere foretager fra tid til anden ændringer til fortrolighedsindstillingerne for at beskytte brugere fra potentielt usikkert indhold. Usikkert indhold er identificeret med præfiks http:// i URL og kan oprette blandet indhold i din Canvas-side. Sikkert indhold er identificeret med https:// præfiks i URL. For den bedste brugeroplevelse skal indholdet være sikkert for at undgå browserkonflikter.

  • Hvis du er Canvas-administrator, kan usikkert indhold skyldes, at du er vært for en usikker JS- / CSS-fil uden for Canvas. Hvis brugerdefinerede uploads understøttes for din konto, kan du være vært for din fil i Canvas Theme Editor, som løser eventuelle browser-konflikter.
  • Bemærk venligst, hvis du indlejrer Canvas lektioner i dit kursus, kan du forhindre browser-problemer med blandet indhold ved at benytte sikre Canvas Guide URL'er. 

Kend browserens opførsel

Chrome, Edge, Firefox og Safari bruger HTML5 til at vise webstedsindhold og fremme en hurtigere og mere sikker browseroplevelse. HTML5-lyd og -video understøttes muligvis ikke i ældre browsere, hvor lyd og video derfor skal stadig bruges via Flash. 

For at opnå den bedste ydelse i Canvas skal fagindhold være designet til at understøtte HTML5. Alt påvirket indhold i ældre browsere kan stadig tilgås ved manuelt at give tilladelse til flashindhold i browseren.

I browsere som Safari vises usikkert indhold aldrig i browseren.

Men i Chrome og Firefox har du mulighed for at se usikkert indhold. Vær opmærksom på eventuelle begrænsninger og vis usikkert indhold med forsigtighed.

Det følgende er et kendt problem i specifikke browsere, der måske kan blokere eller oprette blandet indhold i Canvas.

Chrome Sikkerhed

Chrome Sikkerhed

Google Chrome verificerer, at websideindholdet du ser, er overført sikkert. Hvis du besøger en side i dit Canvas-kursus, der er forbundet til usikkert indhold, vil Chrome vise et skjold-ikon [1] i browserens adresselinje.

Du kan vælge at tilsidesætte sikkerhedsrestriktionen og vise indholdet ved at klikke på skjold-ikonet og derefter klikke på Hent usikkert script (Load unsafe script) knappen [2].

Chrome Medietilladelser

Chrome har sine egne medietilladelser inden i browseren. For at bruge din computers kamera og mikrofon indenfor enhver Canvas-funktion, skal du godkende to tilladelser:

  1. Tillad adgang til Canvas via Adobe Flash Player Indstillinger [1]. Denne påmindelse forekommer i centret af video og lyd pop-up vinduer, eller i centret af browseren, hvis du prøve på at få adgang til Konversationer.
  2. Tillad adgang til Canvas via Chromes medietilladelsesindstillinger [2]. Denne påmindelse forekommer lige nedenfor adresselinjen. Klik på knappen Tillad (Allow).

Firefox Sikkerhed

Firefox Sikkerhed

Firefox verificerer, at websideindholdet du ser, er overført sikkert. Hvis du besøger en side i dit Canvas-kursus, der er forbundet til usikkert indhold, vil Firefox låse med et advarsels-ikon i browserens adresselinje [1].

Du kan vælge at tilsidesætte sikkerhedsrestriktionerne og vise indholdet ved at klikke på skjold-ikonet, klikke på pilen for at udvidde dine muligheder [2], og vælge deaktivere bestkyttelse for nu knappen [3].

Computerspecifikationer

For at få den bedste ydelse skal du tage adgang til Canvas med en computer, der understøtter de nyeste browserversioner. Det anbefales at bruge en computer, der er fem år gammel eller nyere med mindst 1 GB RAM.

Operativsystem

Canvas kræver kun et operativsystem, som kan køre de nyeste kompatible webbrowsere. Dit computers operativsystem skal holdes opdateret med de seneste anbefalede sikkerhedsopdateringer og opgraderinger.

Internethastighed

Sammen med kompatibilitets- og webstandarder er Canvas blevet omhyggeligt udformet til at fungere med lav båndbredde.

Det anbefales at have en internethastighed på mindst 512 kbps.

Skærmlæsere

  • Macintosh: VoiceOver (nyeste version til Safari)
  • PC: JAWS (seneste version til Firefox)
  • PC: NVDA (seneste version til Firefox)
  • Der er ingen understøttelse af skærmlæser til Canvas i Chrome

Canvas på mobile enheder

Canvas-interfacet er optimeret for desktopvisning, så brug af små formfaktorer, såsom mobiletelefoner, er måske ikke en behagelig oplevelse ved brug af Canvas. For den bedste brugeroplevelse skal du downloade Canvas' mobile apps. Canvas’ mobile applikationer kræver Android 6.0 eller nyere og iOS 13.0 eller nyere.

Siden Canvas benytter små elementer af Flash, er alle Canvas-funktioner muligvis ikke understøttet på mobile enheder, specielt på iOS. Canvas tilbyder dog begrænset support til indbyggede mobilbrowsere på tabletenheder. For yderligere oplysninger henvises der til retningslinjer for begrænset support for mobilbrowsere (limited-support mobile browser guidelines).

Mobilbrowsere

Besøg Apple store eller Play store for at downloade mobile browsere. Følgende større browsere er kompatible med mobilenheder:

iOS

  • Safari (standardbrowser med begrænset Canvas-understøttelse)
  • Chrome
  • Photon Flash Player (understøtter Flash)

Android

  • Chrome (standardbrowser med begrænset Canvas-understøttelse)*
  • Internet
  • Firefox

 

*Android-standardbrowser varierer iht. mobilenhed.